Your achievements

Level 1

0% to

Level 2

Tip /
Sign in

Sign in to Community

to gain points, level up, and earn exciting badges like the new
Bedrock Mission!

Learn more

View all

Sign in to view all badges

SOLVED

AEM SOLR integration - release notes - SOLR version

Avatar

Level 5

Hi ,

Please let me know the Solr version support for AEM SOLR (SolrCloud) integration 

AEM 6.1 - Supported SOLR version - ?

AEM 6.2 - Supported SOLR version - ?

We are planning to use SOLR 5.5

Both these release notes does not mention the above SOLR details

https://docs.adobe.com/docs/en/aem/6-1/release-notes.html

https://docs.adobe.com/docs/en/aem/6-2/release-notes.html

1 Accepted Solution

Avatar

Correct answer by
Level 10

The doc team says Eng recommends using the latest build of SOLR

View solution in original post

3 Replies

Avatar

Level 10

THe doc team stated:

The Documentation states they should download the latest version of SOLR from Apache. 

Configuring AEM with a single remote SOLR server

AEM can also be confiured to work with a remote Solr server instance:

  1. Download and extract the latest version of Solr. For more info on how to do this, please consult the Apache Solr Installation documentation.

You will also see Solr on the Technical Requirements page https://docs.adobe.com/docs/en/aem/6-2/deploy/technical-requirements.html under Storage & Persistence, but PM, ENG and QE has not specified a specific version.

Hope this helps.... 

Avatar

Level 5

Thanks for the immediate response . The helpx article is a custom AEM SOLR implementation and good to know

But i am looking at the AEM OOTB SOLR and AEM can connect to SOLR OOTB is 3 different ways

1) AEM - SOLR embedded

2) AEM - Remote Solr

3) AEM - Remote Solr (Solr Cloud + ZooKeeper) so 

So can we get to know the exact SOLR version (as latest SOLR server may vary time to time based on their stable build ?)

So want to know these . And this will be of great help and bring more details

AEM 6.1 - Supported SOLR version (for SolrCloud with ZooKeeper)- ?

AEM 6.2 - Supported SOLR version (for SolrCloud with ZooKeeper)- ?

AEM 6.1 - Supported SOLR version (Single Remote Solr)- ?

AEM 6.2 - Supported SOLR version (Single Remote Solr)- ?

Avatar

Correct answer by
Level 10

The doc team says Eng recommends using the latest build of SOLR